Version 6.x.x Source

Table Name: `tabQuality Inspection`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `naming_series` | Select | Series |
    QI-
2 | `report_date` | Date | Report Date |
3 | `column_break_4` | Column Break |  |
4 | `inspection_type` | Select | Inspection Type |
    Incoming
    Outgoing
    In Process
5 | `purchase_receipt_no` | Link | Purchase Receipt No | Purchase Receipt
6 | `delivery_note_no` | Link | Delivery Note No | Delivery Note
7 | `section_break_7` | Section Break |  |
8 | `item_code` | Link | Item Code | Item
9 | `item_serial_no` | Link | Item Serial No | Serial No
10 | `batch_no` | Link | Batch No | Batch
11 | `sample_size` | Float | Sample Size |
12 | `column_break1` | Column Break |  |
13 | `item_name` | Data | Item Name |
14 | `description` | Small Text | Description |
15 | `section_break_14` | Section Break |  |
16 | `inspected_by` | Link | Inspected By | User
17 | `verified_by` | Data | Verified By |
18 | `column_break_17` | Column Break |  |
19 | `remarks` | Text | Remarks |
20 | `amended_from` | Link | Amended From | Quality Inspection
21 | `specification_details` | Section Break |  |
    Simple
22 | `get_specification_details` | Button | Get Specification Details |
    get_item_specification_details
23 | `readings` | Table | Readings | Quality Inspection Reading

### Controller

#### erpnext.buying.doctype.quality_inspection.quality_inspection

### Class QualityInspection

Inherits from frappe.model.document.Document

get_item_specification_details (self)

No docs

on_cancel (self)

No docs

on_submit (self)

No docs

erpnext.buying.doctype.quality_inspection.quality_inspection.item_query (doctype, txt, searchfield, start, page_len, filters)

No docs

#### Linked In:

- Purchase Receipt Item
- Quality Inspection